# Makefile for OpenVMS
# Author : Jouk Jansen
# Date : 11 March 2008

CFLAGS=/name=(as_is,short)/float=ieee/ieee=denorm/define=("HAVE_CONFIG_H=1")

OBJS=exceptions.obj,extract.obj,uceil_exp2.obj,\
	uceil_log2.obj,ufloor_log2.obj,add.obj,add1.obj,\
	add_ui.obj,agm.obj,clear.obj,cmp.obj,cmp_abs.obj,\
	cmp_si.obj,cmp_ui.obj,comparisons.obj,div_2exp.obj,\
	div_2si.obj,div_2ui.obj,div.obj,div_ui.obj,dump.obj,\
	eq.obj,exp10.obj,exp2.obj,exp3.obj,exp.obj,frac.obj,\
	get_d.obj,get_exp.obj,get_str.obj,init.obj,inp_str.obj,\
	isinteger.obj,isinf.obj,isnan.obj,isnum.obj,\
	const_log2.obj,log.obj,mul_2exp.obj,mul_2si.obj,\
	mul_2ui.obj,mul.obj,mul_ui.obj,neg.obj,next.obj,\
	out_str.obj,const_pi.obj,pow.obj,pow_si.obj,pow_ui.obj

OBJS1=print_raw.obj,print_rnd_mode.obj,random2.obj,random.obj,\
	reldiff.obj,round_prec.obj,set.obj,setmax.obj,setmin.obj,\
	set_d.obj,set_dfl_prec.obj,set_exp.obj,set_rnd.obj,\
	set_f.obj,set_prc_raw.obj,set_prec.obj,set_q.obj,\
	set_si.obj,set_str.obj,set_str_raw.obj,set_ui.obj,\
	set_z.obj,sqrt.obj,sqrt_ui.obj,sub.obj,sub1.obj,\
	sub_ui.obj,rint.obj,ui_div.obj,ui_sub.obj,urandomb.obj,\
	get_z_exp.obj,swap.obj,factorial.obj,cosh.obj,sinh.obj,\
	tanh.obj,acosh.obj,asinh.obj,atanh.obj,atan.obj,cmp2.obj,\
	exp_2.obj,asin.obj,const_euler.obj,cos.obj,sin.obj,\
	tan.obj,fma.obj,fms.obj,hypot.obj,log1p.obj,expm1.obj,\
	log2.obj,log10.obj,ui_pow.obj,ui_pow_ui.obj,minmax.obj,\
	dim.obj,signbit.obj,copysign.obj,setsign.obj,gmp_op.obj

OBJS2=init2.obj,acos.obj,sin_cos.obj,set_nan.obj,set_inf.obj,\
	powerof2.obj,gamma.obj,set_ld.obj,get_ld.obj,cbrt.obj,\
	volatile.obj,fits_sshort.obj,fits_sint.obj,fits_slong.obj,\
	fits_ushort.obj,fits_uint.obj,fits_ulong.obj,\
	fits_uintmax.obj,fits_intmax.obj,get_si.obj,get_ui.obj,\
	zeta.obj,cmp_d.obj,erf.obj,inits.obj,inits2.obj,\
	clears.obj,sgn.obj,check.obj,sub1sp.obj,version.obj,\
	mpn_exp.obj,mpfr-gmp.obj,mp_clz_tab.obj,sum.obj,\
	add1sp.obj,free_cache.obj,si_op.obj,cmp_ld.obj,\
	set_ui_2exp.obj,set_si_2exp.obj,set_uj.obj,set_sj.obj,\
	get_sj.obj,get_uj.obj,get_z.obj,iszero.obj,cache.obj,\
	sqr.obj,int_ceil_log2.obj,isqrt.obj,strtofr.obj,pow_z.obj,\
	logging.obj,mulders.obj,get_f.obj,round_p.obj,erfc.obj,\
	atan2.obj,subnormal.obj,const_catalan.obj,root.obj

OBJS3=sec.obj,csc.obj,cot.obj,eint.obj,sech.obj,csch.obj,\
	coth.obj,round_near_x.obj,constant.obj,abort_prec_max.obj,\
	stack_interface.obj,lngamma.obj,zeta_ui.obj,set_d64.obj,\
	get_d64.obj,jn.obj,yn.obj,remquo.obj,get_patches.obj

all : libmpfr.exe
	$(MMS)$(MMSQUALIFIERS) check
	@ write sys$output "all done"

libmpfr.exe : libmpfr.olb link_vms.opt
	@ WRITE_ SYS$OUTPUT "  generating libmpfr.opt"
	@ library/extract=* libmpfr
	@ OPEN_/WRITE FILE  libmpfr.opt
	@ WRITE_ FILE "!"
	@ WRITE_ FILE "! libmpfr.opt generated by DESCRIP.$(MMS_EXT)" 
	@ WRITE_ FILE "!"
	@ WRITE_ FILE "IDENTIFICATION=""libmpfr"""
	@ WRITE_ FILE "GSMATCH=LEQUAL,2,3
	@ WRITE_ FILE "libmpfr.obj"
	@ CLOSE_ FILE
	@ $(MMS)$(MMSQUALIFIERS)/ignore=warning mpfr_vms
	@ WRITE_ SYS$OUTPUT "  linking libmpfr.exe ..."
	@ LINK_/NODEB/SHARE=libmpfr.exe/MAP=libmpfr.map/FULL libmpfr.opt/opt,\
	mpfr_vms.opt/opt,link_vms/opt
	@ delete libmpfr*.obj;*

mpfr_vms :
	@ WRITE_ SYS$OUTPUT "  generating libmpfr.map ..."
	@ LINK_/NODEB/NOSHARE/NOEXE/MAP=libmpfr.map/FULL libmpfr.opt/OPT
	@ WRITE_ SYS$OUTPUT "  analyzing excel.map ..."
	@ @ANALYZE_MAP.COM libmpfr.map mpfr_vms.opt
	    

libmpfr.olb : $(OBJS) $(OBJS1) $(OBJS2) $(OBJS3)
	library/create libmpfr.olb $(OBJS)
	library libmpfr.olb $(OBJS1)
	library libmpfr.olb $(OBJS2)
	library libmpfr.olb $(OBJS3)

check :
	set default [.tests]
	$(MMS)$(MMSQUALIFIERS)

config.h : config.h_vms
	copy config.h_vms config.h

$(OBJS) : config.h mparam.h
$(OBJS1) : config.h mparam.h
$(OBJS2) : config.h mparam.h
$(OBJS3) : config.h mparam.h

mparam.h : mparam_h.in
	copy mparam_h.in mparam.h

exceptions.obj : exceptions.c
extract.obj : extract.c
uceil_exp2.obj : uceil_exp2.c
uceil_log2.obj : uceil_log2.c
ufloor_log2.obj : ufloor_log2.c
add.obj : add.c
add1.obj : add1.c
add_ui.obj : add_ui.c
agm.obj : agm.c
clear.obj : clear.c
cmp.obj : cmp.c
cmp_abs.obj : cmp_abs.c
cmp_si.obj : cmp_si.c
cmp_ui.obj : cmp_ui.c
comparisons.obj : comparisons.c
div_2exp.obj : div_2exp.c
div_2si.obj : div_2si.c
div_2ui.obj : div_2ui.c
div.obj : div.c
div_ui.obj : div_ui.c
dump.obj : dump.c
eq.obj : eq.c
exp10.obj : exp10.c
exp2.obj : exp2.c
exp3.obj : exp3.c
exp.obj : exp.c
frac.obj : frac.c
get_d.obj : get_d.c
	cc $(CFLAGS)/nowarn get_d.c
get_exp.obj : get_exp.c
get_str.obj : get_str.c
init.obj : init.c
inp_str.obj : inp_str.c
isinteger.obj : isinteger.c
isinf.obj : isinf.c
isnan.obj : isnan.c
isnum.obj : isnum.c
const_log2.obj : const_log2.c
log.obj : log.c
mul_2exp.obj : mul_2exp.c
mul_2si.obj : mul_2si.c
mul_2ui.obj : mul_2ui.c
mul.obj : mul.c
mul_ui.obj : mul_ui.c
neg.obj : neg.c
next.obj : next.c
out_str.obj : out_str.c
const_pi.obj : const_pi.c
pow.obj : pow.c
pow_si.obj : pow_si.c
pow_ui.obj : pow_ui.c
print_raw.obj : print_raw.c
print_rnd_mode.obj : print_rnd_mode.c
random2.obj : random2.c
random.obj : random.c
reldiff.obj : reldiff.c
round_prec.obj : round_prec.c
set.obj : set.c
setmax.obj : setmax.c
setmin.obj : setmin.c
set_d.obj : set_d.c
set_dfl_prec.obj : set_dfl_prec.c
set_exp.obj : set_exp.c
set_rnd.obj : set_rnd.c
set_f.obj : set_f.c
set_prc_raw.obj : set_prc_raw.c
set_prec.obj : set_prec.c
set_q.obj : set_q.c
set_si.obj : set_si.c
set_str.obj : set_str.c
set_str_raw.obj : set_str_raw.c
set_ui.obj : set_ui.c
set_z.obj : set_z.c
sqrt.obj : sqrt.c
sqrt_ui.obj : sqrt_ui.c
sub.obj : sub.c
sub1.obj : sub1.c
sub_ui.obj : sub_ui.c
rint.obj : rint.c
ui_div.obj : ui_div.c
ui_sub.obj : ui_sub.c
urandomb.obj : urandomb.c
get_z_exp.obj : get_z_exp.c
swap.obj : swap.c
factorial.obj : factorial.c
cosh.obj : cosh.c
sinh.obj : sinh.c
tanh.obj : tanh.c
acosh.obj : acosh.c
asinh.obj : asinh.c
atanh.obj : atanh.c
atan.obj : atan.c
cmp2.obj : cmp2.c
exp_2.obj : exp_2.c
asin.obj : asin.c
const_euler.obj : const_euler.c
cos.obj : cos.c
sin.obj : sin.c
tan.obj : tan.c
fma.obj : fma.c
fms.obj : fms.c
hypot.obj : hypot.c
log1p.obj : log1p.c
expm1.obj : expm1.c
log2.obj : log2.c
log10.obj : log10.c
ui_pow.obj : ui_pow.c
ui_pow_ui.obj : ui_pow_ui.c
minmax.obj : minmax.c
dim.obj : dim.c
signbit.obj : signbit.c
copysign.obj : copysign.c
setsign.obj : setsign.c
gmp_op.obj : gmp_op.c
init2.obj : init2.c
acos.obj : acos.c
sin_cos.obj : sin_cos.c
set_nan.obj : set_nan.c
set_inf.obj : set_inf.c
powerof2.obj : powerof2.c
gamma.obj : gamma.c
set_ld.obj : set_ld.c
get_ld.obj : get_ld.c
cbrt.obj : cbrt.c
volatile.obj : volatile.c
fits_sshort.obj : fits_sshort.c
fits_sint.obj : fits_sint.c
fits_slong.obj : fits_slong.c
fits_ushort.obj : fits_ushort.c
fits_uint.obj : fits_uint.c
fits_ulong.obj : fits_ulong.c
fits_uintmax.obj : fits_uintmax.c
fits_intmax.obj : fits_intmax.c
get_si.obj : get_si.c
get_ui.obj : get_ui.c
zeta.obj : zeta.c
cmp_d.obj : cmp_d.c
erf.obj : erf.c
inits.obj : inits.c
inits2.obj : inits2.c
clears.obj : clears.c
sgn.obj : sgn.c
check.obj : check.c
sub1sp.obj : sub1sp.c
version.obj : version.c
mpn_exp.obj : mpn_exp.c
mpfr-gmp.obj : mpfr-gmp.c
mp_clz_tab.obj : mp_clz_tab.c
sum.obj : sum.c
add1sp.obj : add1sp.c
free_cache.obj : free_cache.c
si_op.obj : si_op.c
cmp_ld.obj : cmp_ld.c
set_ui_2exp.obj : set_ui_2exp.c
set_si_2exp.obj : set_si_2exp.c
set_uj.obj : set_uj.c
set_sj.obj : set_sj.c
get_sj.obj : get_sj.c
get_uj.obj : get_uj.c
get_z.obj : get_z.c
iszero.obj : iszero.c
cache.obj : cache.c
sqr.obj : sqr.c
int_ceil_log2.obj : int_ceil_log2.c
isqrt.obj : isqrt.c
strtofr.obj : strtofr.c
pow_z.obj : pow_z.c
logging.obj : logging.c
mulders.obj : mulders.c
get_f.obj : get_f.c
round_p.obj : round_p.c
erfc.obj : erfc.c
atan2.obj : atan2.c
subnormal.obj : subnormal.c
const_catalan.obj : const_catalan.c
root.obj : root.c
sec.obj : sec.c
csc.obj : csc.c
cot.obj : cot.c
eint.obj : eint.c
sech.obj : sech.c
csch.obj : csch.c
coth.obj : coth.c
round_near_x.obj : round_near_x.c
constant.obj : constant.c
abort_prec_max.obj : abort_prec_max.c
stack_interface.obj : stack_interface.c
lngamma.obj : lngamma.c
zeta_ui.obj : zeta_ui.c
set_d64.obj : set_d64.c
get_d64.obj : get_d64.c
jn.obj : jn.c
yn.obj : yn.c
remquo.obj : remquo.c
get_patches.obj : get_patches.c
