# Makefile for OpenVMS
# Author : Jouk Jansen
# Date : 11 March 2008

CFLAGS=/name=(as_is,short)/float=ieee/ieee=denorm/include=([],[-])

EXEEXT=.exe

PROGS=tversion$(EXEEXT) tinternals$(EXEEXT) tinits$(EXEEXT) \
	tisqrt$(EXEEXT) tsgn$(EXEEXT) tcheck$(EXEEXT) tisnan$(EXEEXT) \
	texceptions$(EXEEXT) tset_exp$(EXEEXT) tset$(EXEEXT) \
	tabs$(EXEEXT) tset_d$(EXEEXT) tset_f$(EXEEXT) tset_q$(EXEEXT) \
	tset_si$(EXEEXT) tset_str$(EXEEXT) tset_z$(EXEEXT) \
	tset_ld$(EXEEXT) tset_sj$(EXEEXT) tswap$(EXEEXT) \
	tcopysign$(EXEEXT) tcmp$(EXEEXT) tcmp2$(EXEEXT) \
	tcmpabs$(EXEEXT) tcmp_d$(EXEEXT) tcmp_ld$(EXEEXT) \
	tcomparisons$(EXEEXT) teq$(EXEEXT) tadd$(EXEEXT) tsub$(EXEEXT) \
	tmul$(EXEEXT) tdiv$(EXEEXT) tsub1sp$(EXEEXT) tadd1sp$(EXEEXT) \
	tadd_ui$(EXEEXT) tsub_ui$(EXEEXT) tcmp_ui$(EXEEXT) \
	tdiv_ui$(EXEEXT) tmul_ui$(EXEEXT) tsqrt_ui$(EXEEXT) \
	tui_div$(EXEEXT) tui_sub$(EXEEXT) tgmpop$(EXEEXT) \
	tsi_op$(EXEEXT) tmul_2exp$(EXEEXT) tfma$(EXEEXT) tfms$(EXEEXT) \
	tsum$(EXEEXT) tdim$(EXEEXT) tminmax$(EXEEXT) tnext$(EXEEXT) \
	tfits$(EXEEXT) tget_d$(EXEEXT) tget_d_2exp$(EXEEXT) \
	tget_z$(EXEEXT) tget_str$(EXEEXT) tget_sj$(EXEEXT) \
	tout_str$(EXEEXT) tinp_str$(EXEEXT) toutimpl$(EXEEXT) \
	tcan_round$(EXEEXT) tround_prec$(EXEEXT) tsqrt$(EXEEXT) \
	tconst_log2$(EXEEXT) tconst_pi$(EXEEXT) tconst_euler$(EXEEXT) \
	trandom$(EXEEXT) ttrunc$(EXEEXT) trint$(EXEEXT) tfrac$(EXEEXT) \
	texp$(EXEEXT) texp2$(EXEEXT) texp10$(EXEEXT) texpm1$(EXEEXT) \
	tlog$(EXEEXT) tlog2$(EXEEXT) tlog10$(EXEEXT) tlog1p$(EXEEXT) \
	tpow$(EXEEXT) tui_pow$(EXEEXT) tpow3$(EXEEXT) tcosh$(EXEEXT) \
	tsinh$(EXEEXT) ttanh$(EXEEXT) tacosh$(EXEEXT) tasinh$(EXEEXT) \
	tatanh$(EXEEXT) thyperbolic$(EXEEXT) tasin$(EXEEXT) \
	tacos$(EXEEXT) tcos$(EXEEXT) tatan$(EXEEXT) tsin$(EXEEXT) \
	ttan$(EXEEXT) tsin_cos$(EXEEXT) tagm$(EXEEXT) thypot$(EXEEXT) \
	tfactorial$(EXEEXT) tgamma$(EXEEXT) terf$(EXEEXT) \
	tcbrt$(EXEEXT) tzeta$(EXEEXT) mpf_compat$(EXEEXT) \
	mpfr_compat$(EXEEXT) reuse$(EXEEXT) tsqr$(EXEEXT) \
	tstrtofr$(EXEEXT) tpow_z$(EXEEXT) tget_f$(EXEEXT) \
	tconst_catalan$(EXEEXT) troot$(EXEEXT) tsec$(EXEEXT) \
	tcsc$(EXEEXT) tcot$(EXEEXT) teint$(EXEEXT) tcoth$(EXEEXT) \
	tcsch$(EXEEXT) tsech$(EXEEXT) tstckintc$(EXEEXT) \
	tsubnormal$(EXEEXT) tlngamma$(EXEEXT) tlgamma$(EXEEXT) \
	tzeta_ui$(EXEEXT) tget_ld_2exp$(EXEEXT) tget_set_d64$(EXEEXT) \
	tj0$(EXEEXT) tj1$(EXEEXT) tjn$(EXEEXT) ty0$(EXEEXT) \
	ty1$(EXEEXT) tyn$(EXEEXT) tremquo$(EXEEXT) tl2b$(EXEEXT)

all : $(PROGS)
	mc []tversion
	mc []tinternals
	mc []tinits
	mc []tisqrt
	mc []tsgn
	mc []tcheck
	mc []tisnan
	mc []texceptions
	mc []tset_exp
	mc []tset
	mc []tabs
	mc []tset_d
	mc []tset_f
	mc []tset_q
	mc []tset_si
	mc []tset_str
	mc []tset_z
	mc []tset_ld
	mc []tset_sj
	mc []tswap
	mc []tcopysign
	mc []tcmp
	mc []tcmp2
	mc []tcmpabs
	mc []tcmp_d
	mc []tcmp_ld
	mc []tcomparisons
	mc []teq
	mc []tadd
	mc []tsub
	mc []tmul
	mc []tdiv
	mc []tsub1sp
	mc []tadd1sp
	mc []tadd_ui
	mc []tsub_ui
	mc []tcmp_ui
	mc []tdiv_ui
	mc []tmul_ui
	mc []tsqrt_ui
	mc []tui_div
	mc []tui_sub
	mc []tgmpop
	mc []tsi_op
	mc []tmul_2exp
	mc []tfma
	mc []tfms
	mc []tsum
	mc []tdim
	mc []tminmax
	mc []tnext
	mc []tfits
	mc []tget_d
	mc []tget_d_2exp
	mc []tget_z
	mc []tget_str
	mc []tget_sj
	mc []tout_str
	mc []tinp_str
	mc []toutimpl
	mc []tcan_round
	mc []tround_prec
	mc []tsqrt
	mc []tconst_log2
	mc []tconst_pi
	mc []tconst_euler
	mc []trandom
	mc []ttrunc
	mc []trint
	mc []tfrac
	mc []texp
	mc []texp2
	mc []texp10
	mc []texpm1
	mc []tlog
	mc []tlog2
	mc []tlog10
	mc []tlog1p
	mc []tpow
	mc []tui_pow
	mc []tpow3
	mc []tcosh
	mc []tsinh
	mc []ttanh
	mc []tacosh
	mc []tasinh
	mc []tatanh
	mc []thyperbolic
	mc []tasin
	mc []tacos
	mc []tcos
	mc []tatan
	mc []tsin
	mc []ttan
	mc []tsin_cos
	mc []tagm
	mc []thypot
	mc []tfactorial
	mc []tgamma
	mc []terf
	mc []tcbrt
	mc []tzeta
	mc []mpf_compat
	mc []mpfr_compat
	mc []reuse
	mc []tsqr
	mc []tstrtofr
	mc []tpow_z
	mc []tget_f
	mc []tconst_catalan
	mc []troot
	mc []tsec
	mc []tcsc
	mc []tcot
	mc []teint
	mc []tcoth
	mc []tcsch
	mc []tsech
	mc []tstckintc
	mc []tsubnormal
	mc []tlngamma
	mc []tlgamma
	mc []tzeta_ui
	mc []tget_ld_2exp
	mc []tget_set_d64
	mc []tj0
	mc []tj1
	mc []tjn
	mc []ty0
	mc []ty1
	mc []tyn
	mc []tremquo
	mc []tl2b
	@ write sys$output "all tests performed"

libmpfr.exe : [-]libmpfr.exe
	cop  [-]libmpfr.exe []libmpfr.exe

tversion.exe : tversion.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tversion.obj,tests,memory,cmp_str,link_vms/opt

tversion.obj : tversion.c

tinternals.exe : tinternals.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tinternals.obj,tests,memory,cmp_str,link_vms/opt

tinternals.obj : tinternals.c

tinits.exe : tinits.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tinits.obj,tests,memory,cmp_str,link_vms/opt

tinits.obj : tinits.c

tests.obj : tests.c

memory.obj : memory.c

tisqrt.obj : tisqrt.c
tisqrt.exe : tisqrt.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tisqrt.obj,tests,memory,cmp_str,link_vms/opt
tsgn.obj : tsgn.c
tsgn.exe : tsgn.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tsgn.obj,tests,memory,cmp_str,link_vms/opt
tcheck.obj : tcheck.c
tcheck.exe : tcheck.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tcheck.obj,tests,memory,cmp_str,link_vms/opt
tisnan.obj : tisnan.c
tisnan.exe : tisnan.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tisnan.obj,tests,memory,cmp_str,link_vms/opt
texceptions.obj : texceptions.c
texceptions.exe : texceptions.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link texceptions.obj,tests,memory,cmp_str,link_vms/opt
tset_exp.obj : tset_exp.c
tset_exp.exe : tset_exp.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tset_exp.obj,tests,memory,cmp_str,link_vms/opt
tset.obj : tset.c
tset.exe : tset.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tset.obj,tests,memory,cmp_str,link_vms/opt
tabs.obj : tabs.c
tabs.exe : tabs.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tabs.obj,tests,memory,cmp_str,link_vms/opt
tset_d.obj : tset_d.c
	cc $(CFLAGS)/nowarn tset_d.c
tset_d.exe : tset_d.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tset_d.obj,tests,memory,cmp_str,link_vms/opt
tset_f.obj : tset_f.c
tset_f.exe : tset_f.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tset_f.obj,tests,memory,cmp_str,link_vms/opt
tset_q.obj : tset_q.c
tset_q.exe : tset_q.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tset_q.obj,tests,memory,cmp_str,link_vms/opt
tset_si.obj : tset_si.c
tset_si.exe : tset_si.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tset_si.obj,tests,memory,cmp_str,link_vms/opt
tset_str.obj : tset_str.c
tset_str.exe : tset_str.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tset_str.obj,tests,memory,cmp_str,link_vms/opt
tset_z.obj : tset_z.c
tset_z.exe : tset_z.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tset_z.obj,tests,memory,cmp_str,link_vms/opt
tset_ld.obj : tset_ld.c
tset_ld.exe : tset_ld.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tset_ld.obj,tests,memory,cmp_str,link_vms/opt
tset_sj.obj : tset_sj.c
tset_sj.exe : tset_sj.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tset_sj.obj,tests,memory,cmp_str,link_vms/opt
tswap.obj : tswap.c
tswap.exe : tswap.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tswap.obj,tests,memory,cmp_str,link_vms/opt
tcopysign.obj : tcopysign.c
tcopysign.exe : tcopysign.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tcopysign.obj,tests,memory,cmp_str,link_vms/opt
tcmp.obj : tcmp.c
tcmp.exe : tcmp.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tcmp.obj,tests,memory,cmp_str,link_vms/opt
tcmp2.obj : tcmp2.c
tcmp2.exe : tcmp2.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tcmp2.obj,tests,memory,cmp_str,link_vms/opt
tcmpabs.obj : tcmpabs.c
tcmpabs.exe : tcmpabs.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tcmpabs.obj,tests,memory,cmp_str,link_vms/opt
tcmp_d.obj : tcmp_d.c
	cc $(CFLAGS)/nowarn tcmp_d.c
tcmp_d.exe : tcmp_d.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tcmp_d.obj,tests,memory,cmp_str,link_vms/opt
tcmp_ld.obj : tcmp_ld.c
	cc $(CFLAGS)/nowarn tcmp_ld.c
tcmp_ld.exe : tcmp_ld.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tcmp_ld.obj,tests,memory,cmp_str,link_vms/opt
tcomparisons.obj : tcomparisons.c
tcomparisons.exe : tcomparisons.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tcomparisons.obj,tests,memory,cmp_str,link_vms/opt
teq.obj : teq.c
teq.exe : teq.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link teq.obj,tests,memory,cmp_str,link_vms/opt
tadd.obj : tadd.c
tadd.exe : tadd.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tadd.obj,tests,memory,cmp_str,link_vms/opt
tsub.obj : tsub.c
tsub.exe : tsub.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tsub.obj,tests,memory,cmp_str,link_vms/opt
tmul.obj : tmul.c
tmul.exe : tmul.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tmul.obj,tests,memory,cmp_str,link_vms/opt
tdiv.obj : tdiv.c
tdiv.exe : tdiv.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tdiv.obj,tests,memory,cmp_str,link_vms/opt
tsub1sp.obj : tsub1sp.c
tsub1sp.exe : tsub1sp.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tsub1sp.obj,tests,memory,cmp_str,link_vms/opt
tadd1sp.obj : tadd1sp.c
tadd1sp.exe : tadd1sp.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tadd1sp.obj,tests,memory,cmp_str,link_vms/opt
tadd_ui.obj : tadd_ui.c
tadd_ui.exe : tadd_ui.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tadd_ui.obj,tests,memory,cmp_str,link_vms/opt
tsub_ui.obj : tsub_ui.c
tsub_ui.exe : tsub_ui.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tsub_ui.obj,tests,memory,cmp_str,link_vms/opt
tcmp_ui.obj : tcmp_ui.c
tcmp_ui.exe : tcmp_ui.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tcmp_ui.obj,tests,memory,cmp_str,link_vms/opt
tdiv_ui.obj : tdiv_ui.c
tdiv_ui.exe : tdiv_ui.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tdiv_ui.obj,tests,memory,cmp_str,link_vms/opt
tmul_ui.obj : tmul_ui.c
tmul_ui.exe : tmul_ui.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tmul_ui.obj,tests,memory,cmp_str,link_vms/opt
tsqrt_ui.obj : tsqrt_ui.c
tsqrt_ui.exe : tsqrt_ui.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tsqrt_ui.obj,tests,memory,cmp_str,link_vms/opt
tui_div.obj : tui_div.c
tui_div.exe : tui_div.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tui_div.obj,tests,memory,cmp_str,link_vms/opt
tui_sub.obj : tui_sub.c
tui_sub.exe : tui_sub.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tui_sub.obj,tests,memory,cmp_str,link_vms/opt
tgmpop.obj : tgmpop.c
tgmpop.exe : tgmpop.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tgmpop.obj,tests,memory,cmp_str,link_vms/opt
tsi_op.obj : tsi_op.c
tsi_op.exe : tsi_op.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tsi_op.obj,tests,memory,cmp_str,link_vms/opt
tmul_2exp.obj : tmul_2exp.c
tmul_2exp.exe : tmul_2exp.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tmul_2exp.obj,tests,memory,cmp_str,link_vms/opt
tfma.obj : tfma.c
tfma.exe : tfma.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tfma.obj,tests,memory,cmp_str,link_vms/opt
tfms.obj : tfms.c
tfms.exe : tfms.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tfms.obj,tests,memory,cmp_str,link_vms/opt
tsum.obj : tsum.c
tsum.exe : tsum.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tsum.obj,tests,memory,cmp_str,link_vms/opt
tdim.obj : tdim.c
tdim.exe : tdim.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tdim.obj,tests,memory,cmp_str,link_vms/opt
tminmax.obj : tminmax.c
tminmax.exe : tminmax.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tminmax.obj,tests,memory,cmp_str,link_vms/opt
tnext.obj : tnext.c
tnext.exe : tnext.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tnext.obj,tests,memory,cmp_str,link_vms/opt
tfits.obj : tfits.c
tfits.exe : tfits.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tfits.obj,tests,memory,cmp_str,link_vms/opt
tget_d.obj : tget_d.c
tget_d.exe : tget_d.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tget_d.obj,tests,memory,cmp_str,link_vms/opt
tget_d_2exp.obj : tget_d_2exp.c
tget_d_2exp.exe : tget_d_2exp.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tget_d_2exp.obj,tests,memory,cmp_str,link_vms/opt
tget_z.obj : tget_z.c
tget_z.exe : tget_z.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tget_z.obj,tests,memory,cmp_str,link_vms/opt
tget_str.obj : tget_str.c
tget_str.exe : tget_str.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tget_str.obj,tests,memory,cmp_str,link_vms/opt
tget_sj.obj : tget_sj.c
tget_sj.exe : tget_sj.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tget_sj.obj,tests,memory,cmp_str,link_vms/opt
tout_str.obj : tout_str.c
tout_str.exe : tout_str.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tout_str.obj,tests,memory,cmp_str,link_vms/opt
tinp_str.obj : tinp_str.c
tinp_str.exe : tinp_str.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tinp_str.obj,tests,memory,cmp_str,link_vms/opt
toutimpl.obj : toutimpl.c
toutimpl.exe : toutimpl.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link toutimpl.obj,tests,memory,cmp_str,link_vms/opt
tcan_round.obj : tcan_round.c
tcan_round.exe : tcan_round.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tcan_round.obj,tests,memory,cmp_str,link_vms/opt
tround_prec.obj : tround_prec.c
tround_prec.exe : tround_prec.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tround_prec.obj,tests,memory,cmp_str,link_vms/opt
tsqrt.obj : tsqrt.c
tsqrt.exe : tsqrt.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tsqrt.obj,tests,memory,cmp_str,link_vms/opt
tconst_log2.obj : tconst_log2.c
tconst_log2.exe : tconst_log2.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tconst_log2.obj,tests,memory,cmp_str,link_vms/opt
tconst_pi.obj : tconst_pi.c
tconst_pi.exe : tconst_pi.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tconst_pi.obj,tests,memory,cmp_str,link_vms/opt
tconst_euler.obj : tconst_euler.c
tconst_euler.exe : tconst_euler.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tconst_euler.obj,tests,memory,cmp_str,link_vms/opt
trandom.obj : trandom.c
trandom.exe : trandom.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link trandom.obj,tests,memory,cmp_str,link_vms/opt
ttrunc.obj : ttrunc.c
ttrunc.exe : ttrunc.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link ttrunc.obj,tests,memory,cmp_str,link_vms/opt
trint.obj : trint.c
trint.exe : trint.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link trint.obj,tests,memory,cmp_str,link_vms/opt
tfrac.obj : tfrac.c
tfrac.exe : tfrac.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tfrac.obj,tests,memory,cmp_str,link_vms/opt
texp.obj : texp.c
texp.exe : texp.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link texp.obj,tests,memory,cmp_str,link_vms/opt
texp2.obj : texp2.c
texp2.exe : texp2.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link texp2.obj,tests,memory,cmp_str,link_vms/opt
texp10.obj : texp10.c
texp10.exe : texp10.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link texp10.obj,tests,memory,cmp_str,link_vms/opt
texpm1.obj : texpm1.c
texpm1.exe : texpm1.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link texpm1.obj,tests,memory,cmp_str,link_vms/opt
tlog.obj : tlog.c
tlog.exe : tlog.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tlog.obj,tests,memory,cmp_str,link_vms/opt
tlog2.obj : tlog2.c
tlog2.exe : tlog2.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tlog2.obj,tests,memory,cmp_str,link_vms/opt
tlog10.obj : tlog10.c
tlog10.exe : tlog10.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tlog10.obj,tests,memory,cmp_str,link_vms/opt
tlog1p.obj : tlog1p.c
tlog1p.exe : tlog1p.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tlog1p.obj,tests,memory,cmp_str,link_vms/opt
tpow.obj : tpow.c
tpow.exe : tpow.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tpow.obj,tests,memory,cmp_str,link_vms/opt
tui_pow.obj : tui_pow.c
tui_pow.exe : tui_pow.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tui_pow.obj,tests,memory,cmp_str,link_vms/opt
tpow3.obj : tpow3.c
tpow3.exe : tpow3.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tpow3.obj,tests,memory,cmp_str,link_vms/opt
tcosh.obj : tcosh.c
tcosh.exe : tcosh.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tcosh.obj,tests,memory,cmp_str,link_vms/opt
tsinh.obj : tsinh.c
tsinh.exe : tsinh.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tsinh.obj,tests,memory,cmp_str,link_vms/opt
ttanh.obj : ttanh.c
ttanh.exe : ttanh.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link ttanh.obj,tests,memory,cmp_str,link_vms/opt
tacosh.obj : tacosh.c
tacosh.exe : tacosh.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tacosh.obj,tests,memory,cmp_str,link_vms/opt
tasinh.obj : tasinh.c
tasinh.exe : tasinh.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tasinh.obj,tests,memory,cmp_str,link_vms/opt
tatanh.obj : tatanh.c
tatanh.exe : tatanh.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tatanh.obj,tests,memory,cmp_str,link_vms/opt
thyperbolic.obj : thyperbolic.c
thyperbolic.exe : thyperbolic.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link thyperbolic.obj,tests,memory,cmp_str,link_vms/opt
tasin.obj : tasin.c
tasin.exe : tasin.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tasin.obj,tests,memory,cmp_str,link_vms/opt
tacos.obj : tacos.c
tacos.exe : tacos.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tacos.obj,tests,memory,cmp_str,link_vms/opt
tcos.obj : tcos.c
tcos.exe : tcos.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tcos.obj,tests,memory,cmp_str,link_vms/opt
tatan.obj : tatan.c
tatan.exe : tatan.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tatan.obj,tests,memory,cmp_str,link_vms/opt
tsin.obj : tsin.c
tsin.exe : tsin.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tsin.obj,tests,memory,cmp_str,link_vms/opt
ttan.obj : ttan.c
ttan.exe : ttan.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link ttan.obj,tests,memory,cmp_str,link_vms/opt
tsin_cos.obj : tsin_cos.c
tsin_cos.exe : tsin_cos.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tsin_cos.obj,tests,memory,cmp_str,link_vms/opt
tagm.obj : tagm.c
tagm.exe : tagm.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tagm.obj,tests,memory,cmp_str,link_vms/opt
thypot.obj : thypot.c
thypot.exe : thypot.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link thypot.obj,tests,memory,cmp_str,link_vms/opt
tfactorial.obj : tfactorial.c
tfactorial.exe : tfactorial.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tfactorial.obj,tests,memory,cmp_str,link_vms/opt
tgamma.obj : tgamma.c
tgamma.exe : tgamma.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tgamma.obj,tests,memory,cmp_str,link_vms/opt
terf.obj : terf.c
terf.exe : terf.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link terf.obj,tests,memory,cmp_str,link_vms/opt
tcbrt.obj : tcbrt.c
tcbrt.exe : tcbrt.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tcbrt.obj,tests,memory,cmp_str,link_vms/opt
tzeta.obj : tzeta.c
tzeta.exe : tzeta.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tzeta.obj,tests,memory,cmp_str,link_vms/opt
mpf_compat.obj : mpf_compat.c
mpf_compat.exe : mpf_compat.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link mpf_compat.obj,tests,memory,cmp_str,link_vms/opt
mpfr_compat.obj : mpfr_compat.c
mpfr_compat.exe : mpfr_compat.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link mpfr_compat.obj,tests,memory,cmp_str,link_vms/opt
reuse.obj : reuse.c
reuse.exe : reuse.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link reuse.obj,tests,memory,cmp_str,link_vms/opt
tsqr.obj : tsqr.c
tsqr.exe : tsqr.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tsqr.obj,tests,memory,cmp_str,link_vms/opt
tstrtofr.obj : tstrtofr.c
tstrtofr.exe : tstrtofr.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tstrtofr.obj,tests,memory,cmp_str,link_vms/opt
tpow_z.obj : tpow_z.c
tpow_z.exe : tpow_z.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tpow_z.obj,tests,memory,cmp_str,link_vms/opt
tget_f.obj : tget_f.c
tget_f.exe : tget_f.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tget_f.obj,tests,memory,cmp_str,link_vms/opt
tconst_catalan.obj : tconst_catalan.c
tconst_catalan.exe : tconst_catalan.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tconst_catalan.obj,tests,memory,cmp_str,link_vms/opt
troot.obj : troot.c
troot.exe : troot.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link troot.obj,tests,memory,cmp_str,link_vms/opt
tsec.obj : tsec.c
tsec.exe : tsec.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tsec.obj,tests,memory,cmp_str,link_vms/opt
tcsc.obj : tcsc.c
tcsc.exe : tcsc.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tcsc.obj,tests,memory,cmp_str,link_vms/opt
tcot.obj : tcot.c
tcot.exe : tcot.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tcot.obj,tests,memory,cmp_str,link_vms/opt
teint.obj : teint.c
teint.exe : teint.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link teint.obj,tests,memory,cmp_str,link_vms/opt
tcoth.obj : tcoth.c
tcoth.exe : tcoth.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tcoth.obj,tests,memory,cmp_str,link_vms/opt
tcsch.obj : tcsch.c
tcsch.exe : tcsch.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tcsch.obj,tests,memory,cmp_str,link_vms/opt
tsech.obj : tsech.c
tsech.exe : tsech.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tsech.obj,tests,memory,cmp_str,link_vms/opt
tstckintc.obj : tstckintc.c
tstckintc.exe : tstckintc.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tstckintc.obj,tests,memory,cmp_str,link_vms/opt
tsubnormal.obj : tsubnormal.c
tsubnormal.exe : tsubnormal.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tsubnormal.obj,tests,memory,cmp_str,link_vms/opt
tlngamma.obj : tlngamma.c
tlngamma.exe : tlngamma.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tlngamma.obj,tests,memory,cmp_str,link_vms/opt
tlgamma.obj : tlgamma.c
tlgamma.exe : tlgamma.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tlgamma.obj,tests,memory,cmp_str,link_vms/opt
tzeta_ui.obj : tzeta_ui.c
tzeta_ui.exe : tzeta_ui.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tzeta_ui.obj,tests,memory,cmp_str,link_vms/opt
tget_ld_2exp.obj : tget_ld_2exp.c
tget_ld_2exp.exe : tget_ld_2exp.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tget_ld_2exp.obj,tests,memory,cmp_str,link_vms/opt
tget_set_d64.obj : tget_set_d64.c
tget_set_d64.exe : tget_set_d64.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tget_set_d64.obj,tests,memory,cmp_str,link_vms/opt
tj0.obj : tj0.c
tj0.exe : tj0.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tj0.obj,tests,memory,cmp_str,link_vms/opt
tj1.obj : tj1.c
tj1.exe : tj1.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tj1.obj,tests,memory,cmp_str,link_vms/opt
tjn.obj : tjn.c
tjn.exe : tjn.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tjn.obj,tests,memory,cmp_str,link_vms/opt
ty0.obj : ty0.c
ty0.exe : ty0.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link ty0.obj,tests,memory,cmp_str,link_vms/opt
ty1.obj : ty1.c
ty1.exe : ty1.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link ty1.obj,tests,memory,cmp_str,link_vms/opt
tyn.obj : tyn.c
tyn.exe : tyn.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tyn.obj,tests,memory,cmp_str,link_vms/opt
tremquo.obj : tremquo.c
tremquo.exe : tremquo.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tremquo.obj,tests,memory,cmp_str,link_vms/opt
tl2b.obj : tl2b.c
tl2b.exe : tl2b.obj tests.obj cmp_str.obj memory.obj libmpfr.exe link_vms.opt
	link tl2b.obj,tests,memory,cmp_str,link_vms/opt

cmp_str.obj : cmp_str.c
